%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-Scriptaculous
Version:        1.8.2
Release:        20%{?dist}
Summary:        TurboGears, Scriptaculous and Prototype

Group:          Development/Libraries
License:        MIT
URL:            http://pypi.python.org/pypi/Scriptaculous/2.1
Source0:        http://pypi.python.org/packages/source/L/Scriptaculous/Scriptaculous-%{version}.tar.gz
Patch0: python-scriptaculus-setup.patch

BuildArch:      noarch

BuildRequires:  TurboGears python2-devel


%global _description\
TG-Scriptaculous is currently more than Scriptaculous and Prototype packaged\
for TurboGears.

%description %_description

%package -n python2-scriptaculous
Summary: %summary
Requires:       TurboGears
%{?python_provide:%python_provide python2-scriptaculous}
# Remove before F30
Provides:       python-Scriptaculous = %{version}-%{release}
Obsoletes:      python-Scriptaculous < %{version}-%{release}

%description -n python2-scriptaculous %_description

%prep
%setup -q -n Scriptaculous-%{version}
%patch0 -p1
rm -rf tests


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files -n python2-scriptaculous
%defattr(-,root,root,-)
%doc README.txt PKG-INFO
%{python_sitelib}/Scriptaculous-%{version}-py%{pyver}.egg-info
%dir %{python_sitelib}/scriptaculous/
%{python_sitelib}/scriptaculous/*

%changelog
* Thu Mar 08 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.8.2-20
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.2-18
- Add Provides for the old name

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.2-17
- Python 2 binary package renamed to python2-scriptaculous
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 3 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.8.2-5
- Fix build to pull in old cherrypy version

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.8.2-2
- changes from BZ #508510 comment #1 from panemade@gmail.com

* Sat Jun 27 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.8.2-1
- Initial RPM version
